View Issue Details

IDProjectCategoryLast Update
0019221AI War 2[All Projects] Crash/ExceptionJan 26, 2018 1:07 pm
ReporterBadgerBadgerAssigned Tokeith.lamothe 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.508 The Adornment Of The Buttons 
Fixed in Version 
Summary0019221: Null refrence excteption in build queue
DescriptionI was spending some time hovering my cursor over elements of the build queue and build menu (like many 10s of seconds) when I hit this crash

8/12/2017 9:22:29 PM
Error occurred in sim planning context executionContext
System.NullReferenceException: Object reference not set to an instance of an object
  at Arcen.AIW2.External.ButtonAbstractBase.GetTextToShow (Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00000] in <filename unknown>:0
  at Arcen.AIW2.External.Window_InGameBuildQueueControlsMenu+bTogglePause.GetTextToShow (Arcen.Universal.ArcenDoubleCharacterBuffer Buffer) [0x00000] in <filename unknown>:0
  at Arcen.Universal.ArcenUI_Button.OnSimStableUpdate () [0x000a1] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI_Button.cs:134
  at Arcen.Universal.ArcenUI_Window.OnSimStableUpdate () [0x00071] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI_Window.cs:87
  at Arcen.Universal.ArcenUI.OnSimStableUpdate () [0x00033] in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\ArcenUI\ArcenUI.cs:174
  at Arcen.AIW2.Core.SimExecution.Execute () [0x000aa] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimExecution\SimExecution.cs:41
  at Arcen.AIW2.Core.ArcenSimPlanningContext.InnerRun () [0x0002d] in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:82

   at System.Environment.get_StackTrace() in /Users/builduser/buildslave/mono/build/mcs/class/corlib/System/Environment.cs:line 227
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Boolean IncludeStackTrace, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 140
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, DebugLogDestination Destination, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 109
   at Arcen.Universal.ArcenDebugging.ArcenDebugLog(System.String Message, Verbosity Verbosity) in D:\vclarge\AI_War_2_Ultra\ArcenUniversal\src\UtilityLibraries\ArcenDebugging.cs:line 88
   at Arcen.AIW2.Core.ArcenSimPlanningContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 86
   at Arcen.AIW2.Core.ArcenExecutionContext.InnerRun() in D:\vclarge\AI_War_2_Ultra\ArcenAIW2Core\src\Logic\Sim\SimPlanningLoop.cs:line 223
TagsNo tags attached.

Activities

x4000Bughunter

Jan 26, 2018 1:07 pm

administrator   ~0046739

I know this one was fixed quite a while ago.

Issue History

Date Modified Username Field Change
Aug 13, 2017 10:39 am BadgerBadger New Issue
Jan 26, 2018 1:07 pm x4000Bughunter Assigned To => keith.lamothe
Jan 26, 2018 1:07 pm x4000Bughunter Status new => resolved
Jan 26, 2018 1:07 pm x4000Bughunter Resolution open => fixed
Jan 26, 2018 1:07 pm x4000Bughunter Note Added: 0046739